Subject: Why does a client care about the anonymous flag?

From: [email-masked] (Sam Hartman)
Date: Thu, 7 Feb 2002 09:23:14 -0500 (EST)

Quoting section 2 of the current draft:

   Each Kerberos ticket contains a set of flags which are used to
   indicate attributes of that ticket.  Most flags may be requested by a
   client when the ticket is obtained; some are automatically turned on
   and off by a Kerberos server as required.  The following sections
   explain what the various flags mean, and gives examples of reasons to
   use such a flag.  With the excepttion of the ANONYMOUS and INVALID
   flags clients may ignore ticket flags that are not recognized.

Why does a client care about an anonymous flag?  What should my client do differently if it has an anonymous flag set in one of its tickets?

Could this better be stated by requiring that clients who request
anonymous tickets confirm their request is understood.

Also, to be consistent with the extensibility model I will require
that clients ignore ticket flags they do not understand and that KDCs
ignore KDC options they do not understand.  Naturally I will discuss
the implications of this and how to distinguish (when useful) between prohibited by policy and not understood.

---

From: [email-masked]
Date: 09 Feb 2002 00:15:55 +0100

[email-masked] (Sam Hartman) writes:
> Why does a client care about an anonymous flag?  What should my
> client do differently if it has an anonymous flag set in one of its
> tickets?

I would think that there can be clients/users that for policy reasons
decide that they will only send anonymous tickets to a certain
service.  The client could either keep track of it requested a
particular service as anonymous and use that for deciding if it should
be used, or it could just grab the bits it gets back from the server
(which it does for lots of other ticket attributes such as expiration
times - the server might have changed them).

> anonymous tickets confirm their request is understood.

But yes, the only thing the client can verify is that the KDC has
understood that it wanted an anonymous tickets, it has to trust the
KDC to do this.

/assar

---

From: Sam Hartman <[email-masked]>
Date: 08 Feb 2002 22:01:17 -0500

>>>>> "assar" == assar  <[email-masked]> writes:

    >> client do differently if it has an anonymous flag set in one of its

    assar> I would think that there can be clients/users that for policy reasons
    assar> decide that they will only send anonymous tickets to a certain
    assar> service.  The client could either keep track of it requested a
    assar> particular service as anonymous and use that for deciding if it should
    assar> be used, or it could just grab the bits it gets back from the server
    assar> (which it does for lots of other ticket attributes such as expiration
    assar> times - the server might have changed them).

Sure.  That's sufficient to say some clients care about anonymous, but
not strong enough for a statement that clients must care.